.\"	$NetBSD: hpc.4,v 1.11 2006/12/22 05:35:06 rumble Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This document is derived from work contributed to The NetBSD Foundation
.\" by Antti Kantee.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE
.\" LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 22, 2006
.Dt HPC 4 sgimips
.Os
.Sh NAME
.Nm hpc
.Nd SGI High performance Peripheral Controller
.Sh SYNOPSIS
.Cd "hpc0 at gio0 addr 0x1fb80000"
.Cd "hpc1 at gio0 addr 0x1fb00000"
.Cd "hpc2 at gio0 addr 0x1fb98000"
.Cd "hpc3 at gio0 addr 0x1fb90000"
.Sh DESCRIPTION
.Nm
interfaces the peripherals connected to it to the
.Xr gio 4
bus.
.Nm
is found on the Personal Iris 4D/3x, Indigo, Indy, Challenge S, Challenge M,
and Indigo2 machines.
.Pp
There are three different numerical revisions of the
.Nm
controller.
Revisions 1 and 1.5 exist on Personal Iris 4D/3x and Indigo machines,
as well as GIO32bis expansion cards such as the E++ SEEQ-based
Ethernet adapter.
Revision 1.5 supports bi-endian operation.
Revision 3 exists on Indy, Challenge S, Indigo2, and Challenge M systems.
It is possible to have an on-board HPC3 as well as HPC1.5-based
GIO32bis adapters in the Indy and Challenge S systems.
Additionally, the Challenge S may have a secondary HPC3 if the IOPLUS
(a.k.a. ''mezzanine'') board is installed.
.Sh HARDWARE
.Bl -tag -width dsclock -offset indent
.It dsclock
DS1286-based RTC
.It dpclock
DP8573A-based RTC
.It haltwo
HAL2 audio controller
.It sq
Seeq 8003 and 80C03
.Tn Ethernet
controllers
.It wdsc
WD33c93
.Tn SCSI
controller
.It zsc
Zilog Z8530 UART
.El
.Sh SEE ALSO
.Xr gio 4 ,
.Xr imc 4 ,
.Xr pic 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.6
with support for Revision 3.
Revision 1 and 1.5 support was added in
.Nx 2.0 .
.Sh BUGS
.Nm
Revisions 1 and 1.5 support DMA buffer pointers of only 28 bits
and may therefore only address 256 megabytes of memory.
The R4k Indigo and Indy are the only systems that support sufficient
memory to illustrate this drawback.
A software workaround is not currently implemented.
Revision 3, with 32 bit pointers, does not have this limitation.
